#if !defined(FO_MYDRAWWND_H__0DD4E343_ABE4_4D54_99A1_0DDFC2C69726__INCLUDED_)
#define FO_MYDRAWWND_H__0DD4E343_ABE4_4D54_99A1_0DDFC2C69726__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


///////////////////////////////////////
// Description
// Author: Author Name
///////////////////////////////////////

class CMyDrawWnd : public CFOPDrawWnd
{
public: // create from serialization only
	CMyDrawWnd();
	DECLARE_DYNCREATE(CMyDrawWnd)

// Attributes
public:

	// Update data model.
	virtual BOOL UpdateObserver( CObject * pModel,LPARAM lHint, CObject*pHint);

	// Does it sharing scrollbar with parent.
	virtual BOOL IsShareScroll() const;
// Operations
public:
	int m_pX;
	int m_pY;

	CWnd *pParent;
	
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyDrawWnd)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMyDrawWnd();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMyDrawWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif // !defined(FO_MYDRAWWND_H__0DD4E343_ABE4_4D54_99A1_0DDFC2C69726__INCLUDED_)
